/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.Partition;

import javax.validation.constraints.Size;
import java.io.Serializable;


/**
 * 计划脚本关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-08-31 16:48:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "计划脚本关联表")
public class AtuPlanScriptLink extends Partition implements Serializable
{
  public static final String KEY_id = "id";
  public static final String KEY_planId = "planId";
  public static final String KEY_scriptId = "scriptId";
  public static final String KEY_scriptType = "scriptType";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  private Long id;
  /**
   * 计划id<br>
   */
  @ApiModelProperty("计划id")
  @Size(max = 32, message="计划id-planId: 数据长度不能 > 32" )
  private String planId;
  /**
   * 脚本id<br>
   */
  @ApiModelProperty("脚本id")
  @Size(max = 32, message="脚本id-scriptId: 数据长度不能 > 32" )
  private String scriptId;
  /**
   * 脚本类型;0-接口，1-pcbs，2-pccs，3-安卓，4-ios<br>
   */
  @ApiModelProperty("脚本类型;0-接口，1-pcbs，2-pccs，3-安卓，4-ios")
  @Size(max = 32, message="脚本类型;0-接口，1-pcbs，2-pccs，3-安卓，4-ios-scriptType: 数据长度不能 > 32" )
  private String scriptType;

  /**
   * 主键<br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 计划id<br>
   */
  public String getPlanId()
  {
      return planId;
    }

  /**
   * 计划id<br>
   *
   * @param planId 计划id
   */
  public void setPlanId(String planId)
  {
      this.planId = planId;
    }
  /**
   * 脚本id<br>
   */
  public String getScriptId()
  {
      return scriptId;
    }

  /**
   * 脚本id<br>
   *
   * @param scriptId 脚本id
   */
  public void setScriptId(String scriptId)
  {
      this.scriptId = scriptId;
    }
  /**
   * 脚本类型;0-接口，1-pcbs，2-pccs，3-安卓，4-ios<br>
   */
  public String getScriptType()
  {
      return scriptType;
    }

  /**
   * 脚本类型;0-接口，1-pcbs，2-pccs，3-安卓，4-ios<br>
   *
   * @param scriptType 脚本类型;0-接口，1-pcbs，2-pccs，3-安卓，4-ios
   */
  public void setScriptType(String scriptType)
  {
      this.scriptType = scriptType;
    }

  public AtuPlanScriptLink()
  {
  }

}
